%define name keduca
%define version 0.4
%define release 6mdk

Summary: 	Creation and revision of form-based tests and exams
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Url: 		http://keduca.sourceforge.net

%description
KEduca allows the creation and revision of form-based tests and exams. 
It supports the idea of multiple databases with public questions and 
answers that can be shared among users via the Internet.

%prep

%setup 

%build
# laurent 2002-01-04 enable-final doesn't work
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir \
	--disable-rpath 

%install

%makeinstall

install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/keduca" \
title="Keduca" \
longtitle="Exams tool" \
needs="kde" \
icon="publishing_section.png"\
section="Applications/Publishing"
EOF


%find_lang %name

%clean
rm -rf %buildroot

%post

%{update_menus}

%postun

%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*
%_datadir/applnk/Applications/keduca.desktop
%dir %_datadir/apps/keduca/
%dir %_datadir/apps/keduca/pics
%dir %_datadir/apps/keduca/icons
%dir %_datadir/apps/keduca/icons/hicolor
%dir %_datadir/apps/keduca/icons/hicolor/16x16
%dir %_datadir/apps/keduca/icons/hicolor/22x22
%dir %_datadir/apps/keduca/icons/hicolor/16x16/actions
%dir %_datadir/apps/keduca/icons/hicolor/22x22/actions
%dir %_datadir/doc/HTML/en/keduca
%_datadir/apps/keduca/icons/hicolor/22x22/actions/*.png
%_datadir/apps/keduca/icons/hicolor/16x16/actions/*.png
%_datadir/doc/HTML/en/keduca/index.docbook
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/apps/keduca/pics/*.png
%_datadir/apps/keduca/*.rc
%_datadir/mimelnk/application/*
%_menudir/*

%changelog
* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-6mdk
- icon

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-5mdk
- Make rpmlint happy
- Add missing files

* Fri Oct 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.4-4mdk
- rebuild

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-3mdk
- rebuild

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-2mdk
- Rebuild

* Tue Aug 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- added by Dany Martineau <martineaud@videotron.ca> :
	- First spec file for Mandrake distribution.

# end of file
